PROC IMPORT OUT= WORK.FIRST 
            DATAFILE= "C:\Users\Bever lab\Documents\briana\2015_AsterFB_Exp
t_Field_011416.csv" 
            DBMS=CSV REPLACE;
     GETNAMES=YES;
     DATAROW=2; 
RUN;


*expt	type	block	number	id	species	source	contrast	donorplotplant	hgt0	lfnum0	lfwd0	presizedate	hgt2	lfnum2	size2date	soilmois	PARcan1t1	
PARgrd1t1	PARcan2t1	PARgrd2t1	PARtime1	PARcan1t2	PARgrd1t2	PARcan2t2	PARgrd2t2	PARtime2	PARcan1t3	PARgrd1t3	PARcan2t3	PARgrd2t3	PARtime3	
shootdry ;



data first; set first;

if expt = 0 then delete;

*note that plant VM32 had 0 leaves at harvest, so its siz2 variable will be messed up;
if id = "VM32" then delete;

*note that these plants had no size trait data at harvest;
if id = "AN39" then delete; if id = "EP45" then delete; if id = "EP46" then delete; if id = "EP51" then delete; if id = "EP52" then delete; if id = "VM50" then delete;

*should leave 52 plants in the analysis;


PARratio =  (PARcan1t1/PARgrd1t1  + PARcan2t1/PARgrd2t1  +  PARcan1t2/PARgrd1t2 + PARcan2t2/PARgrd2t2 + PARcan1t3/PARgrd1t3 + PARcan2t3/PARgrd2t3)/6;

lshootdry = log(shootdry+1);
sshootdry = sqrt (shootdry);
siz0=hgt0*lfnum0;
lsiz0 = log(1+siz0);
siz2 = 	hgt2*lfnum2;
lsiz2 = log(1+siz2);
ssiz2 = sqrt(siz2);

proc glm; class donorplotplant species	source;
*model shootdry lshootdry sshootdry siz2 ssiz2 lsiz2 = soilmois  PARratio soilmois*species soilmois*source PARratio*species PARratio*source
donorplotplant species	source species*source/ss3;
*model lshootdry = soilmois  PARratio soilmois*species soilmois*source PARratio*species PARratio*source
donorplotplant species	source species*source/ss3;
model lshootdry = donorplotplant   species	source  species*source  soilmois  soilmois*species  soilmois*source /ss3;
*models with siz0 or lsiz0 as covariate, neither term signif in any of the models, also does not improve the R-squares;
												 

contrast "net feedback overall" species*source

 3 -1 -1 -1 
 -1 3 -1 -1
 -1 -1 3 -1
 -1 -1 -1 3;

contrast "pairwise feedback overall" species*source

 1 -1 0 0 
 -1 1 0 0 
 0 0 0 0 
 0 0 0 0 ,
species*source

 1 0 -1 0   
 0 0 0 0 
 -1 0 1 0  
 0 0 0 0 ,

species*source

 1 0 0 -1    
 0 0 0 0 
 0 0 0 0 
 -1 0 0 1  ,

 species*source
 0 0 0 0 
 0 1  -1 0  
 0 -1 1 0 
 0 0 0 0 ,

species*source
 0 0 0 0 
 0 1 0 -1 
0 0 0 0 
0 -1 0 1 
 ,
species*source
 0 0 0 0 
 0 0 0 0 
 0 0 1 -1 

0 0 -1 1 
 ;
 
contrast "average feedback overall" species*source

 3 -1 -1 -1 
-1  1  0  0 
-1  0  1  0 
-1  0  0  1 ,

species*source
 1 -1  0  0 
-1  3 -1 -1 
 0 -1  1  0 
 0 -1  0  1 ,

 species*source

  1  0 -1  0 
  0  1 -1  0 
 -1 -1  3 -1 
  0  0 -1  1 ,

species*source

   1  0  0 -1 
   0  1  0 -1 
   0  0  1 -1 
  -1 -1 -1  3 ;



contrast "Aster" species*source

 3 -1 -1 -1 
-1  1  0  0 
-1  0  1  0 
-1  0  0  1 ;

contrast "CA" species*source

 1 -1  0  0 
-1  3 -1 -1 
 0 -1  1  0 
 0 -1  0  1 ;

 contrast "EP" species*source

  1  0 -1  0 
  0  1 -1  0 
 -1 -1  3 -1 
  0  0 -1  1 ;

  contrast "VM" species*source

   1  0  0 -1 
   0  1  0 -1 
   0  0  1 -1 
  -1 -1 -1  3 ;


estimate "Aster" species*source

 3 -1 -1 -1 
-1  1  0  0 
-1  0  1  0 
-1  0  0  1 ;

estimate "CA" species*source

 1 -1  0  0 
-1  3 -1 -1 
 0 -1  1  0 
 0 -1  0  1 ;

 estimate "EP" species*source

  1  0 -1  0 
  0  1 -1  0 
 -1 -1  3 -1 
  0  0 -1  1 ;

  estimate "VM" species*source

   1  0  0 -1 
   0  1  0 -1 
   0  0  1 -1 
  -1 -1 -1  3 ;
 

estimate "soilmois" soilmois 1 0;

estimate "soilmois*speciesVM" soilmois*species 1 1 1 -3;
estimate "soilmois*speciesEP" soilmois*species 1 1 -3 1;
estimate "soilmois*speciesCA" soilmois*species 1 -3 1 1;
estimate "soilmois*speciesAN" soilmois*species -3 1 1 1;

OUTPUT OUT = LOOK P=PRE1-PRE6 R=RES1-RES6; 

run;

PROC PLOT DATA=LOOK;
PLOT RES1*PRE1; PLOT RES2*PRE2; PLOT RES3*PRE3; PLOT RES4*PRE4; PLOT RES5*PRE5; PLOT RES6*PRE6;
run;

PROC glmselect data=first; 
   class donorplotplant species source;
   model lshootdry = species source species*source donorplotplant 
          soilmois   PARratio    soilmois*species   soilmois*source   PARratio*species   PARratio*source
          / selection=backward(select=SL)SLE=0.05 include=4 ; 
*glmselect method supports the class variable, SL is the option for significance level, which we set to default 0.05
*include=4 means to include the treatment variables + blocking factor, the first four in the model specification
    output out=out p=p r=r; run; 
