PROC IMPORT OUT= WORK.FIRST 
            DATAFILE= "C:\Users\Bever lab\Documents\briana\2015_AsterFB_Exp
t_Leaf_040716.csv" 
            DBMS=CSV REPLACE;
     GETNAMES=YES;
     DATAROW=2; 
RUN;

*expt	type	block	number	id	species	source	contrast	donorplotplant	hgt0	lfnum0	lfwd0
presizedate	hgt1	lfnum1	size1date	hgt2	lfnum2	lfdead2	damagescore	size2date	numsqformass	
masssqmg	lmaconversion	numsqcultured	leafdry	mainshootdry	rootdry	shootdry;

Data first; set first;

if expt = 0 then delete;

*plants that died early in experiment or had humidity chamber off for extended time period;
if id = "2.5" then delete;
if id = "2.10" then delete; if id = "2.13" then delete;
if id = "2.25" then delete; if id = "2.36" then delete;
if id = "2.42" then delete; if id = "2.56" then delete;
if id = "2.133" then delete;

* recently dead at harvest; 
if id = ".2.23" then delete; if id = ".2.31" then delete;  
if id = ".2.52" then delete;  if id = ".2.28" then delete;  
if id = ".2.44" then delete;  

*no live leaves at harvest, but had live stem, so will have problematic siz2 values; 
if id = ".2.33" then delete;  if id = ".2.37" then delete; 

*this code will make control treatment be listed last, which makes writing the specific contrasts easier;
if source = "cont" then source = "Xcont";

*define variables;
totmass = rootdry +	shootdry;
ltotmass = log(1+totmass);
stotmass = sqrt(totmass);
siz0=hgt0*lfnum0;
lsiz0 = log(siz0);
ssiz0 = sqrt(siz0);
siz1=hgt1*lfnum1;
lsiz1 = log(1+siz1);
ssiz1 = sqrt(siz1);
siz2=hgt2*lfnum2;
lsiz2 = log(1+siz2);
ssiz2 = sqrt(siz2);

proproot=rootdry/totmass;
logitproproot = log(proproot/(1-proproot));

damage2 = damagescore*damagescore;
sdamage2 = sqrt(damagescore);


proc sort; by type;
proc glm;
class species source block; by type;
model  ssiz0 ssiz1  ssiz2  =    block   species source species*source / ss3;


contrast "live vs sterile" source 1 1 1 1 -4;

contrast "species*livevssterile" species*source 1 1 1 1 -4
												-1 -1 -1 -1 4
												0 0 0 0 0 
												 0 0 0 0 0,
								species*source 1 1 1 1 -4
												0 0 0 0 0
												-1 -1 -1 -1 4
												 0 0 0 0 0,
								species*source 1 1 1 1 -4
												0 0 0 0 0
												0 0 0 0 0
												-1 -1 -1 -1 4;
												 

contrast "net feedback overall" species*source

 3 -1 -1 -1 0 
 -1 3 -1 -1 0
 -1 -1 3 -1 0
 -1 -1 -1 3 0;

contrast "pairwise feedback overall" species*source

 1 -1 0 0 0 
 -1 1 0 0 0
 0 0 0 0 0
 0 0 0 0 0,
species*source

 1 0 -1 0 0  
 0 0 0 0 0
 -1 0 1 0 0 
 0 0 0 0 0,

species*source

 1 0 0 -1 0   
 0 0 0 0 0
 0 0 0 0 0
 -1 0 0 1 0 ,

 species*source
 0 0 0 0 0
 0 1  -1 0  0
 0 -1 1 0 0
 0 0 0 0 0,

species*source
 0 0 0 0 0
 0 1 0 -1 0
0 0 0 0 0
0 -1 0 1 0
 ,
species*source
 0 0 0 0 0
 0 0 0 0 0
 0 0 1 -1 0

0 0 -1 1 0
 ;
 
contrast "average feedback overall" species*source

 3 -1 -1 -1 0
-1  1  0  0 0
-1  0  1  0 0
-1  0  0  1 0,

species*source
 1 -1  0  0 0
-1  3 -1 -1 0
 0 -1  1  0 0
 0 -1  0  1 0,

 species*source

  1  0 -1  0 0
  0  1 -1  0 0
 -1 -1  3 -1 0
  0  0 -1  1 0,

species*source

   1  0  0 -1 0
   0  1  0 -1 0
   0  0  1 -1 0
  -1 -1 -1  3 0;



contrast "Aster" species*source

 3 -1 -1 -1 0
-1  1  0  0 0
-1  0  1  0 0
-1  0  0  1 0;

contrast "CA" species*source

 1 -1  0  0 0
-1  3 -1 -1 0
 0 -1  1  0 0
 0 -1  0  1 0;

 contrast "EP" species*source

  1  0 -1  0 0
  0  1 -1  0 0
 -1 -1  3 -1 0
  0  0 -1  1 0;

  contrast "VM" species*source

   1  0  0 -1 0
   0  1  0 -1 0
   0  0  1 -1 0
  -1 -1 -1  3 0;


estimate "live vs sterile" source 1 1 1 1 -4;

estimate "net feedback overall" species*source

 3 -1 -1 -1 0 
 -1 3 -1 -1 0
 -1 -1 3 -1 0
 -1 -1 -1 3 0;

estimate "Aster" species*source

 3 -1 -1 -1 0
-1  1  0  0 0
-1  0  1  0 0
-1  0  0  1 0;

estimate "CA" species*source

 1 -1  0  0 0
-1  3 -1 -1 0
 0 -1  1  0 0
 0 -1  0  1 0;

 estimate "EP" species*source

  1  0 -1  0 0
  0  1 -1  0 0
 -1 -1  3 -1 0
  0  0 -1  1 0;

  estimate "VM" species*source

   1  0  0 -1 0
   0  1  0 -1 0
   0  0  1 -1 0
  -1 -1 -1  3 0;

    OUTPUT OUT = LOOK P=PRE1-PRE13 R=RES1-RES13; 
manova h= species source species*source;
repeated profile / printe;
lsmeans species*source;
run;
PROC PLOT DATA=LOOK;
PLOT RES1*PRE1; PLOT RES2*PRE2; PLOT RES3*PRE3;  
run;


